import { fileURLToPath, URL } from "node:url";

import { defineConfig } from "vite";
import vue from "@vitejs/plugin-vue";
import vueJsx from "@vitejs/plugin-vue-jsx";

// https://vitejs.dev/config/
export default defineConfig({
  plugins: [vue(), vueJsx()],
  resolve: {
    alias: {
      "@": fileURLToPath(new URL("./src", import.meta.url)),
    },
  },
  server: {
    proxy: {
      "/api": {
        // target: "http://localhost:8071",
        target: "http://172.16.0.255:8071",
        changeOrigin: true,
        rewrite: (path) => path.replace(/^\/gw/, ""),
      },
      "/login": {
        target: "http://localhost:8071",
        changeOrigin: true,
      },
      "/user": {
        target: "http://localhost:8071",
        changeOrigin: true,
      }
    },
    host: "0.0.0.0"
  },
  css: {
    preprocessorOptions: {
      less: {
        javascriptEnabled: true,
      },
    },
  },
});
